@echo off

rem This batch file written by Tim Charron (tcharron@interlog.com)
rem to assist with the download of 2M ROM images from various
rem Palm Connected Organizers.  This will work with the III,IIIx,V
rem

cls
echo ****************************************************
echo Before running this script, install the 4 PRC files
echo that came with it onto your Palm III or Palm V,
echo and then unload the HotSync Manager.
echo ****************************************************
echo.
echo.
echo.
echo ****************************************************
echo Ready to delete existing ROM files in this directory
echo ****************************************************
echo.
pause
echo y | erase *.rom

cls
echo.
echo **********************************
echo Run getrom.PRC on the Palm device
echo (Be sure that HotSync is unloaded)
echo **********************************
pause
getrom.exe COM2
ren pilot.rom 1.rom
pause

cls
echo.
echo *********************************
echo Run getrm2.PRC on the Palm device
echo *********************************
echo.
pause
getrom.exe COM2
ren pilot.rom 2.rom
pause

cls
echo.
echo *********************************
echo Run getrm3.PRC on the Palm device
echo *********************************
echo.
pause
getrom.exe COM2
ren pilot.rom 3.rom
pause

cls
echo.
echo *********************************
echo Run getrm4.PRC on the Palm device
echo *********************************
echo.
pause
getrom.exe COM2
ren pilot.rom 4.rom
pause

cls
echo.
echo *************************
echo Ready to combine 4 files.
echo *************************
echo.
pause
copy /b 1.rom+2.rom+3.rom+4.rom III.rom

echo.
echo **** DONE ****
echo.

